MessageInfo (JASPIC 3.1 API Documentation - Apache Tomcat 11.0.25)
Description: declaration: package: jakarta.security.auth.message, interface: MessageInfo

# Interface MessageInfo

public interface MessageInfo
Represents the request and response messages associated with a message-based authentication exchange. The `MessageInfo` object provides access to the request and response message objects, as well as a map of additional context information. The types of the request and response message objects are protocol-specific.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getMap()`
  Returns a map of additional context information associated with this authentication exchange.
  `Object`
  `getRequestMessage()`
  Returns the request message object associated with this authentication exchange.
  `Object`
  `getResponseMessage()`
  Returns the response message object associated with this authentication exchange.
  `void`
  `setRequestMessage(Object request)`
  Sets the request message object for this authentication exchange.
  `void`
  `setResponseMessage(Object response)`
  Sets the response message object for this authentication exchange.

- ## Method Details

  - ### getRequestMessage

    Object getRequestMessage()
    Returns the request message object associated with this authentication exchange. The type of the returned object is protocol-specific.
    Returns:
      the request message object, or `null` if not available

  - ### getResponseMessage

    Object getResponseMessage()
    Returns the response message object associated with this authentication exchange. The type of the returned object is protocol-specific.
    Returns:
      the response message object, or `null` if not available

  - ### setRequestMessage

    void setRequestMessage(Object request)
    Sets the request message object for this authentication exchange.
    Parameters:
      `request` - the request message object

  - ### setResponseMessage

    void setResponseMessage(Object response)
    Sets the response message object for this authentication exchange.
    Parameters:
      `response` - the response message object

  - ### getMap

    Map<String,Object> getMap()
    Returns a map of additional context information associated with this authentication exchange. The map may contain protocol-specific attributes such as message headers.
    Returns:
      a `Map` of context information, or `null` if not available